GNU logs - #50563, boring messages


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 07:43:02 +0000
Resent-Message-ID: <handler.50563.B.16315189431331 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: 50563 <at> debbugs.gnu.org
X-Debbugs-Original-To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.16315189431331
          (code B ref -1); Mon, 13 Sep 2021 07:43:02 +0000
Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 07:42:23 +0000
Received: from localhost ([127.0.0.1]:44093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPgbf-0000LK-1K
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 03:42:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:52498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mPgVH-0000AU-BU
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 03:35:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43860)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dev@HIDDEN>) id 1mPgVH-0001D1-4B
 for guix-patches@HIDDEN; Mon, 13 Sep 2021 03:35:47 -0400
Received: from mail-0201.mail-europe.com ([51.77.79.158]:52540)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dev@HIDDEN>) id 1mPgVD-0001HJ-BM
 for guix-patches@HIDDEN; Mon, 13 Sep 2021 03:35:46 -0400
Date: Mon, 13 Sep 2021 07:35:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1631518530;
 bh=q8Bt2GvKwNqmHgwO7TWcjxWfkh0MO5Lv59aG4+Lk8IY=;
 h=Date:To:From:Reply-To:Subject:From;
 b=b5HNjEO0mY5CIAWRALcnwROhlwav9gVXZSgeu2JKIFhPnD1yIw82gtyXkuHm2t919
 Nmu5UXM6cIeqBVrEQOvY29E7E/ZJgXAaNhL/h2MmRZiDk75ilSLgDOzTQjgekUsUUM
 seYPpEFEuVICQDxTPKHvIRIjqsnE/IjemgVjc1io3kpnRFfTEslu3V5JHVwvpAZ5yd
 LUO2gGJ1bKBhR26d1KvkU2NXnjCh6IvdBlwECiQb/TuUUntQkl33QSqi39jvrNrehq
 xarAdAxnVONYyiLU0pg1y/OkY6qRKGmgkHN7uLMqStSogQ5xzkn/TFA3Yvq7RAdT2+
 Vj0tM8XGNFiyA==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=3.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 FROM_SUSPICIOUS_NTLD_FP,PDS_OTHER_BAD_TLD shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Level: ***
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=51.77.79.158; envelope-from=dev@HIDDEN;
 helo=mail-0201.mail-europe.com
X-Spam_score_int: 43
X-Spam_score: 4.3
X-Spam_bar: ++++
X-Spam_report: (4.3 / 5.0 requ) BAYES_20=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FROM_SUSPICIOUS_NTLD=0.5, FROM_SUSPICIOUS_NTLD_FP=1.999,
 PDS_OTHER_BAD_TLD=1.999, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, This patchset enables Wayland support for GDM: launching
 GDM itself on Wayland and launching Wayland sessions (the former requires
 the latter). This is my first contribution, so do not hesitate to giv [...]
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.17 listed in wl.mailspike.net]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
X-Mailman-Approved-At: Mon, 13 Sep 2021 03:42:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

Hi,

This patchset enables Wayland support for GDM: launching GDM itself on Wayl=
and and launching Wayland sessions (the former requires the latter).
This is my first contribution, so do not hesitate to give any feedback (I a=
lso haven't setup `git send-email` yet so this is a manual mail).

1. Enables optional support for launching a Wayland GDM session.
2. Adds a wrapper for Wayland sessions in order to setup the environment, s=
imilar to the default `/etc/profile` or `xinitrc`.

Best,
Josselin Poiret




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Josselin Poiret <dev@HIDDEN>
Subject: bug#50563: Acknowledgement ([PATCH [0/2] gnu: GDM: Add Wayland
 support)
Message-ID: <handler.50563.B.16315189431331.ack <at> debbugs.gnu.org>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
X-Gnu-PR-Message: ack 50563
X-Gnu-PR-Package: guix-patches
X-Gnu-PR-Keywords: patch
Reply-To: 50563 <at> debbugs.gnu.org
Date: Mon, 13 Sep 2021 07:43:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 guix-patches@HIDDEN

If you wish to submit further information on this problem, please
send it to 50563 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
50563: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D50563
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH 1/2] gnu: Add Wayland support for GDM
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:02:01 +0000
Resent-Message-ID: <handler.50563.B50563.16315452693838 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16315452693838
          (code B ref 50563); Mon, 13 Sep 2021 15:02:01 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 15:01:09 +0000
Received: from localhost ([127.0.0.1]:46583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPnSD-0000zl-2l
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:01:09 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:24985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mPh5u-0003Nn-PF
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:13:41 -0400
Date: Mon, 13 Sep 2021 08:13:27 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1631520811;
 bh=r4sM2LGBtWcaxmOJJuYGkaAnOrkqMgqSfSQdkvnC9zg=;
 h=Date:To:From:Reply-To:Subject:From;
 b=VtLf3JvFN3vLpZaQ8O9Ml+l+SzC/UjNS+mTMVsgdddfDA0pUA8SMcBUm8dMwyqkZ9
 ypuyLJ9BR7FDQxq3JRorue6+hq5UKTs3de1cTSmB+DjaivihH4NHeDCdKbuxbojFyU
 F+/eun1hNk5kej92ORGzsD7m6D2EQpNLj9Yb1cBemc74I6t7CGWSbGrEpiORuWPOaw
 7R1zNGmBspCKkTkUFHjyceYIdQE3NYxXkSURHZsladQeAIYQiY5UHrNqg86LFQIh/N
 D8IX7NcUKIeqmq3Ld41ZMKZDNcVxyjJJZa1ZyBNfadvewrQDir6Q5B6CDw8zFU+BfG
 hgpdrmGrjBN5g==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <9gqXo6rQHM8BM_pHSQdjp5Rn0mQaztAGmA-Nf-_o79iMvKAkYbjRJi4lBj1VsUi3VCeWC6oRpQLPNsN6id9BcsVGtjgqzzHATCJNneF16JE=@jpoiret.xyz>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=3.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 FROM_SUSPICIOUS_NTLD_FP,PDS_OTHER_BAD_TLD shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Level: ***
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * Add the optional flag `wayland?` in `gdm-configuration`
 to launch GDM with Wayland, enabling the use of Wayland sessions with GDM.
 * Remove hardcoded Xwayland check in GDM. * Add `XCURSOR_PATH` to GDM
 environment.
 * Update the documentation. --- doc/guix.texi | 33 ++++++++++++-------
 gnu/packages/gnome.scm | 3 +- .../gdm-remove-h [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.43.16 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Mailman-Approved-At: Mon, 13 Sep 2021 11:01:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Add the optional flag `wayland?` in `gdm-configuration`
   to launch GDM with Wayland, enabling the use of Wayland sessions with GDM.
    * Remove hardcoded Xwayland check in GDM. * Add `XCURSOR_PATH` to GDM environment.
    * Update the documentation. --- doc/guix.texi | 33 ++++++++++++------- gnu/packages/gnome.scm
    | 3 +- .../gdm-remove-h [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.43.16 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
  0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Add the optional flag `wayland?` in `gdm-configuration` to launch GDM wit=
h
Wayland, enabling the use of Wayland sessions with GDM.

* Remove hardcoded Xwayland check in GDM.
* Add `XCURSOR_PATH` to GDM environment.
* Update the documentation.
---
 doc/guix.texi                                 | 33 ++++++++++++-------
 gnu/packages/gnome.scm                        |  3 +-
 .../gdm-remove-hardcoded-xwayland-path.patch  | 22 +++++++++++++
 gnu/services/xorg.scm                         | 14 +++++---
 4 files changed, 56 insertions(+), 16 deletions(-)
 create mode 100644 gnu/packages/patches/gdm-remove-hardcoded-xwayland-path=
.patch

diff --git a/doc/guix.texi b/doc/guix.texi
index 220499503d..93ea4a321f 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18043,19 +18043,26 @@ example the @code{windowmaker} or @code{openbox} =
packages---preferably
 by adding it to the @code{packages} field of your operating system
 definition (@pxref{operating-system Reference, system-wide packages}).

+@anchor{wayland-gdm}
+GDM also supports Wayland: it can itself use Wayland instead of X11 for
+its user interface, and it can also start Wayland sessions.  The former is
+required for the latter, to enable, set @code{wayland?} to @code{#t} in
+@code{gdm-configuration}.
+
 @defvr {Scheme Variable} gdm-service-type
 This is the type for the @uref{https://wiki.gnome.org/Projects/GDM/, GNOME
 Desktop Manager} (GDM), a program that manages graphical display servers a=
nd
 handles graphical user logins.  Its value must be a @code{gdm-configuratio=
n}
 (see below).

-@cindex session types (X11)
-@cindex X11 session types
+@cindex session types
 GDM looks for @dfn{session types} described by the @file{.desktop} files i=
n
-@file{/run/current-system/profile/share/xsessions} and allows users to cho=
ose
-a session from the log-in screen.  Packages such as @code{gnome}, @code{xf=
ce},
-and @code{i3} provide @file{.desktop} files; adding them to the system-wid=
e
-set of packages automatically makes them available at the log-in screen.
+@file{/run/current-system/profile/share/xsessions} (for X11 sessions) and
+@file{/run/current-system/profile/share/wayland-sessions} (for Wayland
+sessions) and allows users to choose a session from the log-in screen.
+Packages such as @code{gnome}, @code{xfce}, @code{i3} and @code{sway} prov=
ide
+@file{.desktop} files; adding them to the system-wide set of packages
+automatically makes them available at the log-in screen.

 In addition, @file{~/.xsession} files are honored.  When available,
 @file{~/.xsession} must be an executable that starts a window manager
@@ -18088,6 +18095,9 @@ File name of the @code{dbus-daemon} executable.

 @item @code{gdm} (default: @code{gdm})
 The GDM package to use.
+
+@item @code{wayland?} (default: @code{#f})
+When true, enables Wayland in GDM, necessary to use Wayland sessions.
 @end table
 @end deftp

@@ -19310,11 +19320,12 @@ expected.

 The desktop environments in Guix use the Xorg display server by
 default.  If you'd like to use the newer display server protocol
-called Wayland, you need to use the @code{sddm-service} instead of
-GDM as the graphical login manager.  You should then
-select the ``GNOME (Wayland)'' session in SDDM@.  Alternatively you can
-also try starting GNOME on Wayland manually from a TTY with the
-command ``XDG_SESSION_TYPE=3Dwayland exec dbus-run-session
+called Wayland, you need to enable Wayland support in GDM
+(@pxref{wayland-gdm}).  Another solution is to use the
+@code{sddm-service} instead of GDM as the graphical login manager.
+You should then select the ``GNOME (Wayland)'' session in SDDM@.
+Alternatively you can also try starting GNOME on Wayland manually from a
+TTY with the command ``XDG_SESSION_TYPE=3Dwayland exec dbus-run-session
 gnome-session``.  Currently only GNOME has support for Wayland.

 @defvr {Scheme Variable} gnome-desktop-service-type
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 5a8bcdb8ce..2da0b3791f 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8111,7 +8111,8 @@ library.")
               (sha256
                (base32
                 "1lyqvcwxhwxklbxn4xjswjzr6fhjix6h28mi9ypn34wdm9bzcpg8"))
-              (patches (search-patches "gdm-default-session.patch"))))
+              (patches (search-patches "gdm-default-session.patch"
+                                       "gdm-remove-hardcoded-xwayland-path=
.patch"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:configure-flags
diff --git a/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch =
b/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch
new file mode 100644
index 0000000000..321a0e4b87
--- /dev/null
+++ b/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch
@@ -0,0 +1,22 @@
+Remove check for hardcoded Xwayland path in gdm.
+
+---
+ daemon/gdm-local-display-factory.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/daemon/gdm-local-display-factory.c b/daemon/gdm-local-display=
-factory.c
+index da1093bb..37355c06 100644
+--- a/daemon/gdm-local-display-factory.c
++++ b/daemon/gdm-local-display-factory.c
+@@ -203,7 +203,7 @@ gdm_local_display_factory_use_wayland (void)
+ #ifdef ENABLE_WAYLAND_SUPPORT
+         gboolean wayland_enabled =3D FALSE;
+         if (gdm_settings_direct_get_boolean (GDM_KEY_WAYLAND_ENABLE, &way=
land_enabled)) {
+-                if (wayland_enabled && g_file_test ("/usr/bin/Xwayland", =
G_FILE_TEST_IS_EXECUTABLE) )
++                if (wayland_enabled)
+                         return TRUE;
+         }
+ #endif
+--
+2.33.0
+
diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index d5c5316d3f..fe25168a58 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -883,7 +883,8 @@ the GNOME desktop environment.")
   (xorg-configuration gdm-configuration-xorg
                       (default (xorg-configuration)))
   (x-session gdm-configuration-x-session
-             (default (xinitrc))))
+             (default (xinitrc)))
+  (wayland? gdm-configuration-wayland? (default #f)))

 (define (gdm-configuration-file config)
   (mixed-text-file "gdm-custom.conf"
@@ -909,8 +910,9 @@ the GNOME desktop environment.")
                    ;; See also
                    ;; <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D392=
81>.
                    "InitialSetupEnable=3Dfalse\n"
-                   ;; Enable me once X is working.
-                   "WaylandEnable=3Dfalse\n"
+                   "WaylandEnable=3D" (if (gdm-configuration-wayland? conf=
ig)
+                                        "true"
+                                        "false") "\n"
                    "\n"
                    "[debug]\n"
                    "Enable=3D" (if (gdm-configuration-debug? config)
@@ -976,7 +978,11 @@ the GNOME desktop environment.")
                                   ;; can depend on GNOME Shell directly.
                                   (cons #$gnome-shell
                                         '#$(gdm-configuration-gnome-shell-=
assets
-                                            config)))))))))
+                                            config)))))
+                           ;; Add XCURSOR_PATH so that mutter can find its=
 cursors.
+                           ;; gdm doesn't login so doesn't source the corr=
esponding
+                           ;; line in /etc/profile
+                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"))))
          (stop #~(make-kill-destructor))
          (respawn? #t))))

--
2.33.0






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH 1/2] gnu: Add Wayland support for GDM
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <josselin.poiret@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:02:02 +0000
Resent-Message-ID: <handler.50563.B50563.16315453003886 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <josselin.poiret@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16315453003886
          (code B ref 50563); Mon, 13 Sep 2021 15:02:02 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 15:01:40 +0000
Received: from localhost ([127.0.0.1]:46585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPnSl-00010b-IS
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:01:40 -0400
Received: from mail-40136.protonmail.ch ([185.70.40.136]:15491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josselin.poiret@HIDDEN>) id 1mPgeS-0000Yj-79
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 03:45:17 -0400
Date: Mon, 13 Sep 2021 07:45:06 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.ch;
 s=protonmail; t=1631519108;
 bh=r4sM2LGBtWcaxmOJJuYGkaAnOrkqMgqSfSQdkvnC9zg=;
 h=Date:To:From:Reply-To:Subject:From;
 b=g7fIP77G/WRfzirTFu59VER7JfN/FgDCZzu9nIxuSWeP42h45bDKgFfuIwfxk1Wrz
 RGkFuIIMSRyNg7lpShkiq5LbSjt3NlG0UNHKZKqL0AxK5xjtrrtJDh0xxgHBf5Zo1R
 TJ0ig68rxbdz67W3xyh2i+XsgsLm1UUkvWD2i6Is=
From: Josselin Poiret <josselin.poiret@HIDDEN>
Message-ID: <Tvb8p1h-DUKsC_XBrgw326afKSNTg5QrkgHHyu-anDK2mlR3cLMJRettx3HsE1XNkuWEfBJMS9FXe0FZFReiZKPHht0b_7gSwocnuwR0yhA=@protonmail.ch>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Mailman-Approved-At: Mon, 13 Sep 2021 11:01:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Add the optional flag `wayland?` in `gdm-configuration` to launch GDM wit=
h
Wayland, enabling the use of Wayland sessions with GDM.

* Remove hardcoded Xwayland check in GDM.
* Add `XCURSOR_PATH` to GDM environment.
* Update the documentation.
---
 doc/guix.texi                                 | 33 ++++++++++++-------
 gnu/packages/gnome.scm                        |  3 +-
 .../gdm-remove-hardcoded-xwayland-path.patch  | 22 +++++++++++++
 gnu/services/xorg.scm                         | 14 +++++---
 4 files changed, 56 insertions(+), 16 deletions(-)
 create mode 100644 gnu/packages/patches/gdm-remove-hardcoded-xwayland-path=
.patch

diff --git a/doc/guix.texi b/doc/guix.texi
index 220499503d..93ea4a321f 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18043,19 +18043,26 @@ example the @code{windowmaker} or @code{openbox} =
packages---preferably
 by adding it to the @code{packages} field of your operating system
 definition (@pxref{operating-system Reference, system-wide packages}).

+@anchor{wayland-gdm}
+GDM also supports Wayland: it can itself use Wayland instead of X11 for
+its user interface, and it can also start Wayland sessions.  The former is
+required for the latter, to enable, set @code{wayland?} to @code{#t} in
+@code{gdm-configuration}.
+
 @defvr {Scheme Variable} gdm-service-type
 This is the type for the @uref{https://wiki.gnome.org/Projects/GDM/, GNOME
 Desktop Manager} (GDM), a program that manages graphical display servers a=
nd
 handles graphical user logins.  Its value must be a @code{gdm-configuratio=
n}
 (see below).

-@cindex session types (X11)
-@cindex X11 session types
+@cindex session types
 GDM looks for @dfn{session types} described by the @file{.desktop} files i=
n
-@file{/run/current-system/profile/share/xsessions} and allows users to cho=
ose
-a session from the log-in screen.  Packages such as @code{gnome}, @code{xf=
ce},
-and @code{i3} provide @file{.desktop} files; adding them to the system-wid=
e
-set of packages automatically makes them available at the log-in screen.
+@file{/run/current-system/profile/share/xsessions} (for X11 sessions) and
+@file{/run/current-system/profile/share/wayland-sessions} (for Wayland
+sessions) and allows users to choose a session from the log-in screen.
+Packages such as @code{gnome}, @code{xfce}, @code{i3} and @code{sway} prov=
ide
+@file{.desktop} files; adding them to the system-wide set of packages
+automatically makes them available at the log-in screen.

 In addition, @file{~/.xsession} files are honored.  When available,
 @file{~/.xsession} must be an executable that starts a window manager
@@ -18088,6 +18095,9 @@ File name of the @code{dbus-daemon} executable.

 @item @code{gdm} (default: @code{gdm})
 The GDM package to use.
+
+@item @code{wayland?} (default: @code{#f})
+When true, enables Wayland in GDM, necessary to use Wayland sessions.
 @end table
 @end deftp

@@ -19310,11 +19320,12 @@ expected.

 The desktop environments in Guix use the Xorg display server by
 default.  If you'd like to use the newer display server protocol
-called Wayland, you need to use the @code{sddm-service} instead of
-GDM as the graphical login manager.  You should then
-select the ``GNOME (Wayland)'' session in SDDM@.  Alternatively you can
-also try starting GNOME on Wayland manually from a TTY with the
-command ``XDG_SESSION_TYPE=3Dwayland exec dbus-run-session
+called Wayland, you need to enable Wayland support in GDM
+(@pxref{wayland-gdm}).  Another solution is to use the
+@code{sddm-service} instead of GDM as the graphical login manager.
+You should then select the ``GNOME (Wayland)'' session in SDDM@.
+Alternatively you can also try starting GNOME on Wayland manually from a
+TTY with the command ``XDG_SESSION_TYPE=3Dwayland exec dbus-run-session
 gnome-session``.  Currently only GNOME has support for Wayland.

 @defvr {Scheme Variable} gnome-desktop-service-type
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 5a8bcdb8ce..2da0b3791f 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8111,7 +8111,8 @@ library.")
               (sha256
                (base32
                 "1lyqvcwxhwxklbxn4xjswjzr6fhjix6h28mi9ypn34wdm9bzcpg8"))
-              (patches (search-patches "gdm-default-session.patch"))))
+              (patches (search-patches "gdm-default-session.patch"
+                                       "gdm-remove-hardcoded-xwayland-path=
.patch"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:configure-flags
diff --git a/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch =
b/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch
new file mode 100644
index 0000000000..321a0e4b87
--- /dev/null
+++ b/gnu/packages/patches/gdm-remove-hardcoded-xwayland-path.patch
@@ -0,0 +1,22 @@
+Remove check for hardcoded Xwayland path in gdm.
+
+---
+ daemon/gdm-local-display-factory.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/daemon/gdm-local-display-factory.c b/daemon/gdm-local-display=
-factory.c
+index da1093bb..37355c06 100644
+--- a/daemon/gdm-local-display-factory.c
++++ b/daemon/gdm-local-display-factory.c
+@@ -203,7 +203,7 @@ gdm_local_display_factory_use_wayland (void)
+ #ifdef ENABLE_WAYLAND_SUPPORT
+         gboolean wayland_enabled =3D FALSE;
+         if (gdm_settings_direct_get_boolean (GDM_KEY_WAYLAND_ENABLE, &way=
land_enabled)) {
+-                if (wayland_enabled && g_file_test ("/usr/bin/Xwayland", =
G_FILE_TEST_IS_EXECUTABLE) )
++                if (wayland_enabled)
+                         return TRUE;
+         }
+ #endif
+--
+2.33.0
+
diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index d5c5316d3f..fe25168a58 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -883,7 +883,8 @@ the GNOME desktop environment.")
   (xorg-configuration gdm-configuration-xorg
                       (default (xorg-configuration)))
   (x-session gdm-configuration-x-session
-             (default (xinitrc))))
+             (default (xinitrc)))
+  (wayland? gdm-configuration-wayland? (default #f)))

 (define (gdm-configuration-file config)
   (mixed-text-file "gdm-custom.conf"
@@ -909,8 +910,9 @@ the GNOME desktop environment.")
                    ;; See also
                    ;; <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D392=
81>.
                    "InitialSetupEnable=3Dfalse\n"
-                   ;; Enable me once X is working.
-                   "WaylandEnable=3Dfalse\n"
+                   "WaylandEnable=3D" (if (gdm-configuration-wayland? conf=
ig)
+                                        "true"
+                                        "false") "\n"
                    "\n"
                    "[debug]\n"
                    "Enable=3D" (if (gdm-configuration-debug? config)
@@ -976,7 +978,11 @@ the GNOME desktop environment.")
                                   ;; can depend on GNOME Shell directly.
                                   (cons #$gnome-shell
                                         '#$(gdm-configuration-gnome-shell-=
assets
-                                            config)))))))))
+                                            config)))))
+                           ;; Add XCURSOR_PATH so that mutter can find its=
 cursors.
+                           ;; gdm doesn't login so doesn't source the corr=
esponding
+                           ;; line in /etc/profile
+                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"))))
          (stop #~(make-kill-destructor))
          (respawn? #t))))

--
2.33.0






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH 2/2] gnu: gdm: Add Wayland session wrapper script.
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <josselin.poiret@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:14:01 +0000
Resent-Message-ID: <handler.50563.B50563.16315459875164 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <josselin.poiret@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16315459875164
          (code B ref 50563); Mon, 13 Sep 2021 15:14:01 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 15:13:07 +0000
Received: from localhost ([127.0.0.1]:46610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPndq-0001LC-LA
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:13:07 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:39757)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josselin.poiret@HIDDEN>) id 1mPgio-0002gM-Fa
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 03:49:47 -0400
Date: Mon, 13 Sep 2021 07:49:38 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.ch;
 s=protonmail; t=1631519379;
 bh=Hil4mbvHuZ4MbWJ7orIctLxbN1JgouwQhBl7q11Dx8c=;
 h=Date:To:From:Reply-To:Subject:From;
 b=MYx3G+/GC5TK+GqXtkJAOPpTRrKyy22f0LBnAphLOkipoIuoCXm8vkwr+GQfpG4k2
 8NDPxWmwEp3sfFmKM9sPC7+lWrSaI9wHHmM8x7bUl1Lnx6Rtfk73G2LDFE9lzhxnLe
 46CCet2NM9OA+X8MlurffF3A+7VS2JuB5Xi2cz1k=
From: Josselin Poiret <josselin.poiret@HIDDEN>
Message-ID: <bQhHFOBTpzX7JdfIBHNpzkQz3jxa_Yvewww_HhpsZT9S0T9JWX2ULCAbzsScMTbJHNLJ2vxaaRNGLDuLrDCZt3qOXU8-NARpIe6T5EO8G7o=@protonmail.ch>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Mailman-Approved-At: Mon, 13 Sep 2021 11:13:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Patch GDM to support launching a wrapper script for Wayland sessions.
* Add `wayland-session` in `gdm-configuration` to specify the wrapper to us=
e.
* Add default wrapper that runs non-GDM sessions through a login shell (bas=
ed
on the `xinitrc`).
* Update the documentation with those changes.
---
 doc/guix.texi                                 |  4 +++
 gnu/packages/gnome.scm                        |  3 +-
 ...gdm-wayland-session-wrapper-from-env.patch | 35 +++++++++++++++++++
 gnu/services/xorg.scm                         | 21 +++++++++--
 4 files changed, 60 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/gdm-wayland-session-wrapper-from-e=
nv.patch

diff --git a/doc/guix.texi b/doc/guix.texi
index 93ea4a321f..3e6157c8ab 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18098,6 +18098,10 @@ The GDM package to use.

 @item @code{wayland?} (default: @code{#f})
 When true, enables Wayland in GDM, necessary to use Wayland sessions.
+
+@item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper})
+The Wayland session wrapper to use, needed to setup the
+environment.
 @end table
 @end deftp

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 2da0b3791f..36d58e4c42 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8112,7 +8112,8 @@ library.")
                (base32
                 "1lyqvcwxhwxklbxn4xjswjzr6fhjix6h28mi9ypn34wdm9bzcpg8"))
               (patches (search-patches "gdm-default-session.patch"
-                                       "gdm-remove-hardcoded-xwayland-path=
.patch"))))
+                                       "gdm-remove-hardcoded-xwayland-path=
.patch"
+                                       "gdm-wayland-session-wrapper-from-e=
nv.patch"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:configure-flags
diff --git a/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patc=
h b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
new file mode 100644
index 0000000000..ca1af557ef
--- /dev/null
+++ b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
@@ -0,0 +1,35 @@
+Get wayland-session wrapper from environment
+
+---
+ daemon/gdm-session.c | 6 ++++--
+ 1 file changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/daemon/gdm-session.c b/daemon/gdm-session.c
+index 4e303e70..1deca4e9 100644
+--- a/daemon/gdm-session.c
++++ b/daemon/gdm-session.c
+@@ -2888,8 +2888,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            allow_remote_c=
onnections? "--allow-remote-connections " : "",
+                                                            command);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            command);
+                         }
+                 } else if (run_xsession_script) {
+@@ -2906,8 +2907,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            register_sessi=
on ? "--register-session " : "",
+                                                            self->selected=
_program);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            self->selected=
_program);
+                         }
+                 } else {
+--
+2.33.0
+
diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index fe25168a58..a9b2a1a1c6 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -869,6 +869,19 @@ the GNOME desktop environment.")
        (apply execl (string-append #$dbus "/bin/dbus-daemon")
               (program-arguments)))))

+;; Wrapper script for Wayland sessions, similar to Xsession.
+;; Used to setup the environment.
+(define gdm-wayland-session-wrapper
+  (program-file
+   "gdm-wayland-session-wrapper"
+   #~((let* ((user (getpw (getuid)))
+=09    (name (passwd:name user))
+=09    (shell (passwd:shell user))
+=09    (args (cdr (command-line))))
+        (if (string=3D? name "gdm")
+=09    (apply execl (cons (car args) args))
+=09    (execl shell shell "--login" "-c" (string-join args)))))))
+
 (define-record-type* <gdm-configuration>
   gdm-configuration make-gdm-configuration
   gdm-configuration?
@@ -884,7 +897,8 @@ the GNOME desktop environment.")
                       (default (xorg-configuration)))
   (x-session gdm-configuration-x-session
              (default (xinitrc)))
-  (wayland? gdm-configuration-wayland? (default #f)))
+  (wayland? gdm-configuration-wayland? (default #f))
+  (wayland-session gdm-configuration-wayland-session (default gdm-wayland-=
session-wrapper)))

 (define (gdm-configuration-file config)
   (mixed-text-file "gdm-custom.conf"
@@ -982,7 +996,10 @@ the GNOME desktop environment.")
                            ;; Add XCURSOR_PATH so that mutter can find its=
 cursors.
                            ;; gdm doesn't login so doesn't source the corr=
esponding
                            ;; line in /etc/profile
-                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"))))
+                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"
+                           (string-append
+                            "GDM_WAYLAND_SESSION=3D"
+                            #$(gdm-configuration-wayland-session config)))=
)))
          (stop #~(make-kill-destructor))
          (respawn? #t))))

--
2.33.0






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH 2/2] gnu: gdm: Add Wayland session wrapper script.
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:14:02 +0000
Resent-Message-ID: <handler.50563.B50563.16315459885170 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16315459885170
          (code B ref 50563); Mon, 13 Sep 2021 15:14:02 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 15:13:08 +0000
Received: from localhost ([127.0.0.1]:46612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPndr-0001LF-Gh
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:13:08 -0400
Received: from mail1.protonmail.ch ([185.70.40.18]:23174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mPh7f-0003lr-CO
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:15:28 -0400
Date: Mon, 13 Sep 2021 08:15:19 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1631520920;
 bh=Hil4mbvHuZ4MbWJ7orIctLxbN1JgouwQhBl7q11Dx8c=;
 h=Date:To:From:Reply-To:Subject:From;
 b=UuZOWElJLbttdxJR0eDqLZwYgCG+8D5LxWKTeHZv6fGXb+BUToBSqXXuRwONQsfhn
 KxgJ5dusfxIucaXDNUw4SvF7idjJMFJ1XfjTZhZyVPmrAN8FkQsEfYIu/C5X+dagdu
 1DgtgX0HgE1frmdsxc6XNgqA5mapQB3sKP2+c4YOurkPgj7yaQMKl2OWq3cqr6A8/u
 Mze3G1SOF69I9XkqU9iGTMTIMIK5L1JctxVCUZXUii292a6VyhxUv8QzN3uBSzr/in
 6tQ7sbEo6tB7RLuYCY8SuK8wqWCoz5qGehPvddh6Da9UX6+rWAz/Gmv4tNvz9BH6Ae
 lWq7FPevvxaEA==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=3.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 FROM_SUSPICIOUS_NTLD_FP,PDS_OTHER_BAD_TLD shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Level: ***
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Patch GDM to support launching a wrapper script for Wayland
 sessions. * Add `wayland-session` in `gdm-configuration` to specify the
 wrapper
 to use. * Add default wrapper that runs non-GDM sessions t [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.40.18 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Mailman-Approved-At: Mon, 13 Sep 2021 11:13:05 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * Patch GDM to support launching a wrapper script for Wayland
    sessions. * Add `wayland-session` in `gdm-configuration` to specify the wrapper
    to use. * Add default wrapper that runs non-GDM sessions t [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.18 listed in wl.mailspike.net]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* Patch GDM to support launching a wrapper script for Wayland sessions.
* Add `wayland-session` in `gdm-configuration` to specify the wrapper to us=
e.
* Add default wrapper that runs non-GDM sessions through a login shell (bas=
ed
on the `xinitrc`).
* Update the documentation with those changes.
---
 doc/guix.texi                                 |  4 +++
 gnu/packages/gnome.scm                        |  3 +-
 ...gdm-wayland-session-wrapper-from-env.patch | 35 +++++++++++++++++++
 gnu/services/xorg.scm                         | 21 +++++++++--
 4 files changed, 60 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/gdm-wayland-session-wrapper-from-e=
nv.patch

diff --git a/doc/guix.texi b/doc/guix.texi
index 93ea4a321f..3e6157c8ab 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18098,6 +18098,10 @@ The GDM package to use.

 @item @code{wayland?} (default: @code{#f})
 When true, enables Wayland in GDM, necessary to use Wayland sessions.
+
+@item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper})
+The Wayland session wrapper to use, needed to setup the
+environment.
 @end table
 @end deftp

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 2da0b3791f..36d58e4c42 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8112,7 +8112,8 @@ library.")
                (base32
                 "1lyqvcwxhwxklbxn4xjswjzr6fhjix6h28mi9ypn34wdm9bzcpg8"))
               (patches (search-patches "gdm-default-session.patch"
-                                       "gdm-remove-hardcoded-xwayland-path=
.patch"))))
+                                       "gdm-remove-hardcoded-xwayland-path=
.patch"
+                                       "gdm-wayland-session-wrapper-from-e=
nv.patch"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:configure-flags
diff --git a/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patc=
h b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
new file mode 100644
index 0000000000..ca1af557ef
--- /dev/null
+++ b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
@@ -0,0 +1,35 @@
+Get wayland-session wrapper from environment
+
+---
+ daemon/gdm-session.c | 6 ++++--
+ 1 file changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/daemon/gdm-session.c b/daemon/gdm-session.c
+index 4e303e70..1deca4e9 100644
+--- a/daemon/gdm-session.c
++++ b/daemon/gdm-session.c
+@@ -2888,8 +2888,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            allow_remote_c=
onnections? "--allow-remote-connections " : "",
+                                                            command);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            command);
+                         }
+                 } else if (run_xsession_script) {
+@@ -2906,8 +2907,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            register_sessi=
on ? "--register-session " : "",
+                                                            self->selected=
_program);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            self->selected=
_program);
+                         }
+                 } else {
+--
+2.33.0
+
diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index fe25168a58..a9b2a1a1c6 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -869,6 +869,19 @@ the GNOME desktop environment.")
        (apply execl (string-append #$dbus "/bin/dbus-daemon")
               (program-arguments)))))

+;; Wrapper script for Wayland sessions, similar to Xsession.
+;; Used to setup the environment.
+(define gdm-wayland-session-wrapper
+  (program-file
+   "gdm-wayland-session-wrapper"
+   #~((let* ((user (getpw (getuid)))
+=09    (name (passwd:name user))
+=09    (shell (passwd:shell user))
+=09    (args (cdr (command-line))))
+        (if (string=3D? name "gdm")
+=09    (apply execl (cons (car args) args))
+=09    (execl shell shell "--login" "-c" (string-join args)))))))
+
 (define-record-type* <gdm-configuration>
   gdm-configuration make-gdm-configuration
   gdm-configuration?
@@ -884,7 +897,8 @@ the GNOME desktop environment.")
                       (default (xorg-configuration)))
   (x-session gdm-configuration-x-session
              (default (xinitrc)))
-  (wayland? gdm-configuration-wayland? (default #f)))
+  (wayland? gdm-configuration-wayland? (default #f))
+  (wayland-session gdm-configuration-wayland-session (default gdm-wayland-=
session-wrapper)))

 (define (gdm-configuration-file config)
   (mixed-text-file "gdm-custom.conf"
@@ -982,7 +996,10 @@ the GNOME desktop environment.")
                            ;; Add XCURSOR_PATH so that mutter can find its=
 cursors.
                            ;; gdm doesn't login so doesn't source the corr=
esponding
                            ;; line in /etc/profile
-                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"))))
+                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"
+                           (string-append
+                            "GDM_WAYLAND_SESSION=3D"
+                            #$(gdm-configuration-wayland-session config)))=
)))
          (stop #~(make-kill-destructor))
          (respawn? #t))))

--
2.33.0






Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] (No Subject)
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <josselin.poiret@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 15:45:02 +0000
Resent-Message-ID: <handler.50563.B50563.16315478458219 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <josselin.poiret@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16315478458219
          (code B ref 50563); Mon, 13 Sep 2021 15:45:02 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 15:44:05 +0000
Received: from localhost ([127.0.0.1]:46654 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPo7o-00028V-VC
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:44:05 -0400
Received: from mail-4317.protonmail.ch ([185.70.43.17]:21246)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josselin.poiret@HIDDEN>) id 1mPo7m-00027m-Ia
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 11:44:03 -0400
Date: Mon, 13 Sep 2021 15:43:54 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.ch;
 s=protonmail; t=1631547836;
 bh=0tN9vrgxHPhuht5SGzO2JVarx8I6QK9MukaAWleQtV8=;
 h=Date:To:From:Reply-To:Subject:From;
 b=HVNUGyYRdawEmVJX8/0EDgul54dwKp8/uA51+S0YfIczeJChW4aoIb/HZl2BUl/sy
 obEprEzBuastF7Uujzu0V7iI7oBE6LUu/gwv+bqnFIZPUpBKy0Pri5omzVpQNV85vi
 imoNQi85Vxnb0ABOGrvoH2CoA4kp9aoIx703yLv0=
From: Josselin Poiret <josselin.poiret@HIDDEN>
Message-ID: <gPZl70B_wLO7TYFkhx1kq5TKlinjrOHf2lHhtkP9DfjP3V_ipi2P2Ile_6teLLkjv_FYnw8YMUOQsv9eDbiNkoCSYfMEOB1n7U1TW6xnZh8=@protonmail.ch>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  My bad, I've confused my email addresses, so both patches
 were sent twice. Please disregard the duplicated mails. On another note, I've
 only been testing with `sway` and don't really have the disk space right
 now to test Wayland GNOME itself,
 but I think it should work fine. Maybe someone
 else can pitch in on thi [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (josselin.poiret[at]protonmail.ch)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.43.17 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

My bad, I've confused my email addresses, so both patches were sent twice. =
Please disregard the duplicated mails.

On another note, I've only been testing with `sway` and don't really have t=
he disk space right now to test Wayland GNOME itself, but I think it should=
 work fine. Maybe someone else can pitch in on this.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH 2/2] gnu: gdm: Add Wayland session wrapper script.
Resent-From: Maxime Devos <maximedevos@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Mon, 13 Sep 2021 18:16:01 +0000
Resent-Message-ID: <handler.50563.B50563.163155693122455 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>, "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163155693122455
          (code B ref 50563); Mon, 13 Sep 2021 18:16:01 +0000
Received: (at 50563) by debbugs.gnu.org; 13 Sep 2021 18:15:31 +0000
Received: from localhost ([127.0.0.1]:46785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPqUM-0005q7-NA
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 14:15:30 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:32966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mPqUJ-0005px-Ht
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 14:15:29 -0400
Received: from butterfly.local ([213.119.220.40])
 by andre.telenet-ops.be with bizsmtp
 id tWFN2500T0stn0d01WFRHQ; Mon, 13 Sep 2021 20:15:25 +0200
Message-ID: <d5a8394c827d1b115344703fb7fe7a8c9eeedd48.camel@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Date: Mon, 13 Sep 2021 20:14:45 +0200
In-Reply-To: <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-3zOric5hMf+o8isJ31sC"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631556926; bh=IqeXCvWHv3TLOo2Ohfk3B18b/7laH8SYmSZV/ryxAA4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=NWF9VbLmDNevt3UsyeEwlD/PBmPUPukFeH7nOhxGg0ZmjF/O9I3XFuGVZork2nkxe
 eko5UoDUIKH3auFFhCJxroq/7hSt4u1mvSR5v7dN5/AmA0d85fFaWKqp4zqtJbe894
 yNMqJ5uIs/up7QCbPrQXd1STyWg5p+o+lVP/YHWZ52jzpjd1jY49Ggb3RGwAWQuJ3Z
 g68xEbsgLj+4Z2ThcHMje5pwjtXURl+sxIBCnDcfNx4hSp+8TlXuDRBe/C6r6tfBn9
 BFeKIRtqZe7yZGe054F0TdzYAzsoJCAQjqwcMEBNT+2kxFcZnZovaPExBQ+u81GK/T
 kSCSz/lJnwHng==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-3zOric5hMf+o8isJ31sC
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Josselin Poiret schreef op ma 13-09-2021 om 08:15 [+0000]:
> * Patch GDM to support launching a wrapper script for Wayland sessions.
> * Add `wayland-session` in `gdm-configuration` to specify the wrapper to =
use.
> * Add default wrapper that runs non-GDM sessions through a login shell (b=
ased
> on the `xinitrc`).
> * Update the documentation with those changes.
> ---
>  doc/guix.texi                                 |  4 +++
>  gnu/packages/gnome.scm                        |  3 +-
>  ...gdm-wayland-session-wrapper-from-env.patch | 35 +++++++++++++++++++
>  gnu/services/xorg.scm                         | 21 +++++++++--
>  4 files changed, 60 insertions(+), 3 deletions(-)
>  create mode 100644 gnu/packages/patches/gdm-wayland-session-wrapper-from=
-env.patch
>=20
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 93ea4a321f..3e6157c8ab 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -18098,6 +18098,10 @@ The GDM package to use.
>=20
>  @item @code{wayland?} (default: @code{#f})
>  When true, enables Wayland in GDM, necessary to use Wayland sessions.
> +
> +@item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper=
})
> +The Wayland session wrapper to use, needed to setup the
> +environment.

=E2=80=98needed to setup the environment=E2=80=99 --> this sounds like some=
times, the session
wrapper needs to be changed such that the environment variables are correct=
.
However, gdm-wayland-session-wrapper doesn't actually set any environment v=
ariables,
and the X equivalent 'xsession' doesn't need to be modified (at least on my=
 system,
when I last used gdm), so I presume the default is quite reasonable for mos=
t users.

So to reduce confusion, I would drop the =E2=80=98needed to set up the envi=
ronment=E2=80=99.

A =E2=80=98real-world=E2=80=99 example of a custom 'wayland-session' would =
be helpful to illustrate
matters.

Greetings,
Maxime

--=-3zOric5hMf+o8isJ31sC
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYT+VGxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7vUrAP41wO5adtiLf9BExaViGMzViFVQ
faROde9MmScFYevGBwD/QCNNAqKkLA8PHvmJXmWkNP4xnLKVvpwZNDDza16D9Ao=
=+4qJ
-----END PGP SIGNATURE-----

--=-3zOric5hMf+o8isJ31sC--





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] (No Subject)
Resent-From: Jack Hill <jackhill@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 14 Sep 2021 02:03:01 +0000
Resent-Message-ID: <handler.50563.B50563.1631584937509 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <josselin.poiret@HIDDEN>
Cc: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.1631584937509
          (code B ref 50563); Tue, 14 Sep 2021 02:03:01 +0000
Received: (at 50563) by debbugs.gnu.org; 14 Sep 2021 02:02:17 +0000
Received: from localhost ([127.0.0.1]:47126 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPxm5-000089-KB
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 22:02:17 -0400
Received: from minsky.hcoop.net ([104.248.1.95]:38520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jackhill@HIDDEN>) id 1mPxm4-00007v-4S
 for 50563 <at> debbugs.gnu.org; Mon, 13 Sep 2021 22:02:16 -0400
Received: from marsh.hcoop.net ([45.55.52.66])
 by minsky.hcoop.net with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <jackhill@HIDDEN>)
 id 1mPxly-0000ym-3q; Mon, 13 Sep 2021 22:02:10 -0400
Date: Mon, 13 Sep 2021 22:02:09 -0400 (EDT)
From: Jack Hill <jackhill@HIDDEN>
X-X-Sender: jackhill@HIDDEN
In-Reply-To: <gPZl70B_wLO7TYFkhx1kq5TKlinjrOHf2lHhtkP9DfjP3V_ipi2P2Ile_6teLLkjv_FYnw8YMUOQsv9eDbiNkoCSYfMEOB1n7U1TW6xnZh8=@protonmail.ch>
Message-ID: <alpine.DEB.2.21.2109132200360.4243@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <gPZl70B_wLO7TYFkhx1kq5TKlinjrOHf2lHhtkP9DfjP3V_ipi2P2Ile_6teLLkjv_FYnw8YMUOQsv9eDbiNkoCSYfMEOB1n7U1TW6xnZh8=@protonmail.ch>
User-Agent: Alpine 2.21 (DEB 202 2017-01-01)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII; format=flowed
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, 13 Sep 2021, Josselin Poiret via Guix-patches via
 wrote: > On another note, I've only been testing with `sway` and don't really
 > have the disk space right now to test Wayland GNOME itself, but I think
 > it should work fine. Maybe someone else can pitch in [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 SLIGHTLY_BAD_SUBJECT   Subject contains something slightly spammy
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

On Mon, 13 Sep 2021, Josselin Poiret via Guix-patches via wrote:

> On another note, I've only been testing with `sway` and don't really 
> have the disk space right now to test Wayland GNOME itself, but I think 
> it should work fine. Maybe someone else can pitch in on this.

I've tested launching a Wayland GNOME session on x86-64 and everything 
works as expected there. Thanks for the patches!

Best,
Jack




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] Re: [bug#50563] [PATCH 2/2] gnu: gdm: Add Wayland session wrapper script.
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Tue, 14 Sep 2021 21:47:01 +0000
Resent-Message-ID: <handler.50563.B50563.163165596913799 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163165596913799
          (code B ref 50563); Tue, 14 Sep 2021 21:47:01 +0000
Received: (at 50563) by debbugs.gnu.org; 14 Sep 2021 21:46:09 +0000
Received: from localhost ([127.0.0.1]:50307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQGFh-0003aJ-0u
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 17:46:09 -0400
Received: from mail-4316.protonmail.ch ([185.70.43.16]:30495)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mQGFb-0003Zc-37
 for 50563 <at> debbugs.gnu.org; Tue, 14 Sep 2021 17:46:03 -0400
Date: Tue, 14 Sep 2021 21:45:50 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1631655951;
 bh=j54QdyyCpRTnfn29b6VXcRZKP9aQs2FtqjBSq3kXhwQ=;
 h=Date:To:From:Reply-To:Subject:From;
 b=aneq3LSbvx0qaZTDkVw1IvvU6/EyAnqaJCnp/K/J7c0jnUeqFbxZV7QUHq9smruqZ
 1XdYfzANZo6nlyFLIaQiWJSTu3l2Im/nHJpXObdNQArp4VWNx0OejfmBSCcwP8fU2G
 8ZqxWz/Uje4WsmVew4Zc+UKaowXAuuLvXZFPGVhAxZAyYy75o6YyMi35fEOBKx1mk7
 Ho95Y6xLkckCGpSEKe1vMdsfMVO/lkNDGveJQt0I1xGINqmjO8g4SI/g/C1G5Pr37U
 zLuagm65rpucAmXj2B+5tlD5yTzqDIxk9elNcQJX1AyiyuK3rQ4wmUm+V05N2S94Lv
 h2blGcAzTfvEw==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <K0eT0ERo5Yl3ByH2Lo7fUVUq7NVpV36zL-KnQ440i6N0XafiijFod-id3xUnSo7MBO1Md8XCpciPCyfwpyslhFiwg3ZdMicD6VTntddRt4o=@jpoiret.xyz>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=3.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 FROM_SUSPICIOUS_NTLD_FP,PDS_OTHER_BAD_TLD shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Level: ***
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Maxime: I agree that this was a very confusing wording. Here
 is a reformulation that I hope clears up any misunderstanding. PS:
 `gdm-wayland-session-wrapper`
 does in fact set environment variables, on [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.43.16 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Maxime: I agree that this was a very confusing wording. Here
    is a reformulation that I hope clears up any misunderstanding. PS: `gdm-wayland-session-wrapper`
    does in fact set environment variables, on [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.43.16 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Maxime: I agree that this was a very confusing wording. Here is a reformula=
tion that I hope clears up any misunderstanding.
PS: `gdm-wayland-session-wrapper` does in fact set environment variables, o=
nly that it indirectly uses `/etc/profile` to do so. Otherwise, the default=
 profile wouldn't be active in the wayland session.

---
 doc/guix.texi | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3e6157c8ab..8a0eba16e1 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18064,9 +18064,9 @@ Packages such as @code{gnome}, @code{xfce}, @code{i=
3} and @code{sway} provide
 @file{.desktop} files; adding them to the system-wide set of packages
 automatically makes them available at the log-in screen.

-In addition, @file{~/.xsession} files are honored.  When available,
-@file{~/.xsession} must be an executable that starts a window manager
-and/or other X clients.
+In addition, @file{~/.xsession} files are honored when launching X11 sessi=
ons.
+When available, @file{~/.xsession} must be an executable that starts a win=
dow
+manager and/or other X clients.
 @end defvr

 @deftp {Data Type} gdm-configuration
@@ -18100,8 +18100,8 @@ The GDM package to use.
 When true, enables Wayland in GDM, necessary to use Wayland sessions.

 @item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper})
-The Wayland session wrapper to use, needed to setup the
-environment.
+The Wayland session wrapper to use, analogous to @code{xsession}. The defa=
ult
+wrapper simply launches the session in a login shell.
 @end table
 @end deftp

--
2.33.0

Jack: Great news! I've been using it on my daily driver as well, without an=
y problem so far.




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] Re: [bug#50563] [PATCH 2/2] gnu: gdm: Add Wayland session wrapper script.
Resent-From: Maxime Devos <maximedevos@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 15 Sep 2021 09:49:01 +0000
Resent-Message-ID: <handler.50563.B50563.163169929110079 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>, "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163169929110079
          (code B ref 50563); Wed, 15 Sep 2021 09:49:01 +0000
Received: (at 50563) by debbugs.gnu.org; 15 Sep 2021 09:48:11 +0000
Received: from localhost ([127.0.0.1]:50935 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQRWV-0002cU-JV
	for submit <at> debbugs.gnu.org; Wed, 15 Sep 2021 05:48:11 -0400
Received: from michel.telenet-ops.be ([195.130.137.88]:46678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mQRWS-0002cK-QJ
 for 50563 <at> debbugs.gnu.org; Wed, 15 Sep 2021 05:48:09 -0400
Received: from butterfly.local ([188.188.169.214])
 by michel.telenet-ops.be with bizsmtp
 id u9o52500X4dtNFQ069o6sf; Wed, 15 Sep 2021 11:48:07 +0200
Message-ID: <55b6e182fadac783a11f40e8752d6b126f6a04ca.camel@HIDDEN>
From: Maxime Devos <maximedevos@HIDDEN>
Date: Wed, 15 Sep 2021 11:47:59 +0200
In-Reply-To: <K0eT0ERo5Yl3ByH2Lo7fUVUq7NVpV36zL-KnQ440i6N0XafiijFod-id3xUnSo7MBO1Md8XCpciPCyfwpyslhFiwg3ZdMicD6VTntddRt4o=@jpoiret.xyz>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <K0eT0ERo5Yl3ByH2Lo7fUVUq7NVpV36zL-KnQ440i6N0XafiijFod-id3xUnSo7MBO1Md8XCpciPCyfwpyslhFiwg3ZdMicD6VTntddRt4o=@jpoiret.xyz>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-OyhasOsYZmB+fYRVZion"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631699287; bh=iT71J+MutIAVqBybou/KX2DA2LorqZSh15HHFYUtJTs=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=Brmzt0Axy7HWWlRi+xYzptTyshGLLs9Cy4Q0JgzOo3CcaTiVDGyHT6AQesBs7fDnz
 8o6J9GSjmTDlb3RQaZpEqci/6JoRHHammhzmLX8aR9NNxp4DfK8yzwWxF5N2gJ8xsI
 vb8k2/PXHF6WjCEBO8apaQzbw3g6nhOmDtFHSr5sYQc93JV3CeUwjuRg/Ia31SroyU
 AUBBSNi9pNcyoDt32nvz+6iH0hYh8mmshXrkCl/uaFM8ycg0cCI0MeMkJ5brge5RF5
 Xt4uvaJv7XHL2sXbjockKFG36RpQt+ieyGn3oOWkb7p+BSwArCpWV4N/VPZcBmwkez
 C9470SQkxzzdQ==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-OyhasOsYZmB+fYRVZion
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Josselin Poiret schreef op di 14-09-2021 om 21:45 [+0000]:
> Maxime: I agree that this was a very confusing wording. Here is a reformu=
lation that I hope clears up any misunderstanding.
> PS: `gdm-wayland-session-wrapper` does in fact set environment variables,=
 only that it indirectly uses `/etc/profile` to do so. Otherwise, the defau=
lt profile wouldn't be active in the wayland session.
>=20
> [...]
>=20
> -In addition, @file{~/.xsession} files are honored.  When available,
> -@file{~/.xsession} must be an executable that starts a window manager
> -and/or other X clients.
> +In addition, @file{~/.xsession} files are honored when launching X11 ses=
sions.
> +When available, @file{~/.xsession} must be an executable that starts a w=
indow
> +manager and/or other X clients.
>  @end defvr
>=20
>  @deftp {Data Type} gdm-configuration
> @@ -18100,8 +18100,8 @@ The GDM package to use.
>  When true, enables Wayland in GDM, necessary to use Wayland sessions.
>=20
>  @item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper=
})
> -The Wayland session wrapper to use, needed to setup the
> -environment.
> +The Wayland session wrapper to use, analogous to @code{xsession}. The de=
fault
> +wrapper simply launches the session in a login shell.
>  @end table
>  @end deftp

This is clear to me, thanks!

Greetings,
Maxime.

--=-OyhasOsYZmB+fYRVZion
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYUHBTxccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7ndDAP4kWV3gutHhtNHmGGFl1iLKTy04
Emm7TCvM92b73kzhCgEA0WRqCHFukP59vFaZtaIG/x234N4+Vz5XkJs5NyQSHQo=
=tWDQ
-----END PGP SIGNATURE-----

--=-OyhasOsYZmB+fYRVZion--





Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 29 Sep 2021 11:22:02 +0000
Resent-Message-ID: <handler.50563.B50563.163291447727345 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163291447727345
          (code B ref 50563); Wed, 29 Sep 2021 11:22:02 +0000
Received: (at 50563) by debbugs.gnu.org; 29 Sep 2021 11:21:17 +0000
Received: from localhost ([127.0.0.1]:47894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVXeG-00076z-Uu
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:21:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mVXeB-00076i-J5
 for 50563 <at> debbugs.gnu.org; Wed, 29 Sep 2021 07:21:15 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52308)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mVXe5-00069Y-EK; Wed, 29 Sep 2021 07:21:05 -0400
Received: from [46.183.103.8] (port=19033 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mVXe2-0000P8-IG; Wed, 29 Sep 2021 07:21:04 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
Date: Wed, 29 Sep 2021 11:20:58 +0000
In-Reply-To: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 (Josselin Poiret's message of "Mon, 13 Sep 2021 07:35:29 +0000")
Message-ID: <87tui31vc5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello Josselin,

> This is my first contribution, so do not hesitate to give any feedback
> (I also haven't setup `git send-email` yet so this is a manual mail).

Thanks for this first contribution! I was able to apply the patches just
fine. However, it would nice if you could write commit messages
respecting the ChangeLog format as explained here:
https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html.

> 1. Enables optional support for launching a Wayland GDM session.
> 2. Adds a wrapper for Wayland sessions in order to setup the
> environment, similar to the default `/etc/profile` or `xinitrc`.

I tried to apply both patches on top of the wip-gnome40 branch to see if
I can get Wayland support. There are minor merge conflicts that are
solved on the wip-gnome40-wayland branch.

I then edited the desktop.tmpl file this way:

--8<---------------cut here---------------start------------->8---
--- a/gnu/system/examples/desktop.tmpl
+++ b/gnu/system/examples/desktop.tmpl
@@ -64,12 +64,15 @@
   ;; by clicking the gear.  Use the "desktop" services, which
   ;; include the X11 log-in service, networking with
   ;; NetworkManager, and more.
-  (services (append (list (service gnome-desktop-service-type)
-                          (service xfce-desktop-service-type)
-                          (set-xorg-configuration
-                           (xorg-configuration
-                            (keyboard-layout keyboard-layout))))
-                    %desktop-services))
+  (services (modify-services
+                (append (list (service gnome-desktop-service-type)
+                              (set-xorg-configuration
+                               (xorg-configuration
+                                (keyboard-layout keyboard-layout))))
+                    %desktop-services)
+              (gdm-service-type config =>
+                                (gdm-configuration
+                                 (wayland? #t)))))
 
   ;; Allow resolution of '.local' host names with mDNS.
   (name-service-switch %mdns-host-lookup-nss))
--8<---------------cut here---------------end--------------->8---

And tested it by running:

--8<---------------cut here---------------start------------->8---
$(./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl
--no-grafts --no-offload -v3 -K) -m 2048
--8<---------------cut here---------------end--------------->8---

Looks like there's a good old xorg-server running, plus the "About"
section in GNOME configuration reports that it is running using the X11
window system.

Anything wrong with my integration?

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 29 Sep 2021 12:12:01 +0000
Resent-Message-ID: <handler.50563.B50563.163291749325129 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163291749325129
          (code B ref 50563); Wed, 29 Sep 2021 12:12:01 +0000
Received: (at 50563) by debbugs.gnu.org; 29 Sep 2021 12:11:33 +0000
Received: from localhost ([127.0.0.1]:48021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVYQu-0006XF-Se
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 08:11:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mVYQs-0006X0-U0
 for 50563 <at> debbugs.gnu.org; Wed, 29 Sep 2021 08:11:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53660)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mVYQk-0007vf-1D; Wed, 29 Sep 2021 08:11:23 -0400
Received: from [46.183.103.8] (port=5319 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mVYQP-0005Lb-98; Wed, 29 Sep 2021 08:11:11 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <87tui31vc5.fsf@HIDDEN>
Date: Wed, 29 Sep 2021 12:10:58 +0000
In-Reply-To: <87tui31vc5.fsf@HIDDEN> (Mathieu Othacehe's message of "Wed, 29
 Sep 2021 11:20:58 +0000")
Message-ID: <87r1d71t0t.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


> Anything wrong with my integration?

I notied that mutter was complaining that the /tmp/.X11-unix file was
missing the sticky bit when launching the xorg-xwayland binary.

The following patch fixes it for me:

diff --git a/gnu/services/desktop.scm b/gnu/services/desktop.scm
index 64d0e85301..612d548eea 100644
--- a/gnu/services/desktop.scm
+++ b/gnu/services/desktop.scm
@@ -1021,7 +1021,7 @@ rules."
                         (use-modules (guix build utils))
                         (let ((directory "/tmp/.X11-unix"))
                           (mkdir-p directory)
-                          (chmod directory #o777))))))
+                          (chmod directory #o1777))))))

What do you think about it?

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Wed, 29 Sep 2021 22:11:02 +0000
Resent-Message-ID: <handler.50563.B50563.16329534231230 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Mathieu Othacehe <othacehe@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16329534231230
          (code B ref 50563); Wed, 29 Sep 2021 22:11:02 +0000
Received: (at 50563) by debbugs.gnu.org; 29 Sep 2021 22:10:23 +0000
Received: from localhost ([127.0.0.1]:50549 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVhmR-0000Jm-BU
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 18:10:23 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:62845)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mVhmP-0000JX-NX
 for 50563 <at> debbugs.gnu.org; Wed, 29 Sep 2021 18:10:22 -0400
Date: Wed, 29 Sep 2021 22:10:10 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1632953411;
 bh=tSIvDpEltF1pl2yDRCZeSN1NFxGmtz6EgBjYikzxwaA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=dDeDyGJIgen6AotuYlrxQSStQ/EAyX+cV5vWktZE7qjC0vJdQ87KPXZtlGW3qLFWQ
 P2kp8giITwxD+sHlCYudcVeNKn1jXhXSPcGLihMR4fvbODigD1jbQ6CFSKdpYR/tNQ
 uD0kys8awXFDgDi+pmNNYdzk/HCvwf5/gqPqBeuIeJNTETF5akYugIxbWVoV1lG3Df
 UuCOdkhd13eXAaJ9iQqKmMqUQilwGFBXeN0zsGKvfa9eeP8u7QMUOwzjWT3sxitaDD
 EP7EFgYOJAyp05X4uLKqvLWgksWp3Dt774+gnGM8GJAsroUrqLPwgZecVJo24D1Yew
 wmk4SwJ8U77ng==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <HIzTzQ5Tl4XyXt9wJGVJF-BSMBwv65YOpVv15hYJ-jfB19p6sa_EkB2uee6jytt14DvAEtQAaVWUC-j6HGpiPr5vn6LMGEQqz4eY1eUJrjk=@jpoiret.xyz>
In-Reply-To: <87r1d71t0t.fsf_-_@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <87tui31vc5.fsf@HIDDEN> <87r1d71t0t.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=1.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 PDS_OTHER_BAD_TLD shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Level: *
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wednesday, September 29th, 2021 at 12:10 PM,
 Mathieu Othacehe
 <othacehe@HIDDEN> wrote: > > Anything wrong with my integration? > I notied
 that mutter was complaining that the /tmp/.X11-unix file was > missing the
 sticky bit when launching the xorg-xwayland binary. > The following patch
 [...] Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.40.134 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Wednesday, September 29th, 2021 at 12:10 PM, Mathieu Othacehe
    <othacehe@HIDDEN> wrote: > > Anything wrong with my integration? > I notied
    that mutter was complaining that the /tmp/.X11-unix file was > missing the
    sticky bit when launching the xorg-xwayland binary. > The following patch
    [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.134 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Wednesday, September 29th, 2021 at 12:10 PM, Mathieu Othacehe <othacehe@=
gnu.org> wrote:

> > Anything wrong with my integration?
> I notied that mutter was complaining that the /tmp/.X11-unix file was
> missing the sticky bit when launching the xorg-xwayland binary.
> The following patch fixes it for me:
> [snip]
> What do you think about it?
Nice find, looks like this is the perfect fix (maybe this check was introdu=
ced in a new `gnome-shell` version).
Thanks for your review and testing!
I tried messing around and everything looked like it was working as it shou=
ld, with GNOME Settings reporting it was running under Wayland.

As for the ChangeLog style, I'm sorry about it. If I'm reading correctly, I=
 missed adding which files and symbols were changed, am I right?




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 30 Sep 2021 09:42:02 +0000
Resent-Message-ID: <handler.50563.B50563.163299489631130 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163299489631130
          (code B ref 50563); Thu, 30 Sep 2021 09:42:02 +0000
Received: (at 50563) by debbugs.gnu.org; 30 Sep 2021 09:41:36 +0000
Received: from localhost ([127.0.0.1]:51489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVsZM-000862-CX
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:41:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mVsZK-00085p-7T
 for 50563 <at> debbugs.gnu.org; Thu, 30 Sep 2021 05:41:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37650)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mVsZE-0007NN-K9; Thu, 30 Sep 2021 05:41:28 -0400
Received: from [2a01:e34:ecab:cd0:3d50:507c:1dec:edb1] (port=51140 helo=meije)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mVsZE-0005fb-84; Thu, 30 Sep 2021 05:41:28 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <87tui31vc5.fsf@HIDDEN> <87r1d71t0t.fsf_-_@HIDDEN>
 <HIzTzQ5Tl4XyXt9wJGVJF-BSMBwv65YOpVv15hYJ-jfB19p6sa_EkB2uee6jytt14DvAEtQAaVWUC-j6HGpiPr5vn6LMGEQqz4eY1eUJrjk=@jpoiret.xyz>
Date: Thu, 30 Sep 2021 09:41:26 +0000
In-Reply-To: <HIzTzQ5Tl4XyXt9wJGVJF-BSMBwv65YOpVv15hYJ-jfB19p6sa_EkB2uee6jytt14DvAEtQAaVWUC-j6HGpiPr5vn6LMGEQqz4eY1eUJrjk=@jpoiret.xyz>
 (Josselin Poiret's message of "Wed, 29 Sep 2021 22:10:10 +0000")
Message-ID: <87wnmyv1rt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

> Nice find, looks like this is the perfect fix (maybe this check was
> introduced in a new `gnome-shell` version).

Thanks I'll probably write a proper patch then.

> As for the ChangeLog style, I'm sorry about it. If I'm reading
> correctly, I missed adding which files and symbols were changed, am I
> right?

Yeah, that was more for future contributions, I'll get this one fixed
when applying.

Now, I also tried to run Sway (by adding it to the operating-system
packages list). It is proposed in the GDM selection box at login which
is nice, however all I get is a black screen with a frozen mouse
pointer after that.

There's a bunch of errors in /var/log/messages and
/var/log/gdm/greeter.log but I'm not sure if some are relevant here.

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Thu, 30 Sep 2021 14:28:01 +0000
Resent-Message-ID: <handler.50563.B50563.16330120545896 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Mathieu Othacehe <othacehe@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.16330120545896
          (code B ref 50563); Thu, 30 Sep 2021 14:28:01 +0000
Received: (at 50563) by debbugs.gnu.org; 30 Sep 2021 14:27:34 +0000
Received: from localhost ([127.0.0.1]:53607 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVx26-0001X2-2z
	for submit <at> debbugs.gnu.org; Thu, 30 Sep 2021 10:27:34 -0400
Received: from mail2.protonmail.ch ([185.70.40.22]:43996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mVx22-0001Wh-Dh
 for 50563 <at> debbugs.gnu.org; Thu, 30 Sep 2021 10:27:32 -0400
Date: Thu, 30 Sep 2021 14:27:22 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1633012043;
 bh=fitZ3tF/QJkLfh0wxYA3opciyS5RVsV6bXnRsU5+5NE=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=JHRJhIuxqlB8uGmIYqcWialxhGx0SH112T0D7Z962P5w9SKtKvSQ+DrYszD8rnDMl
 diSB4FDBPBdjzhvii1GHifzdweDRyKyEkAfJORzwqjPW8n62wr1D+BNJSbJofP9En2
 nT9CwBM7ZOtskqKLYvhG1ayW+Kebc+m/YCJ03JnRha8A1+GHwaaCIr46KBKBCW9vx9
 kEBw2t//3ZHkVCG0d+6ku6IACOWQVOSnLKfyD7Fi0VcFxPRlPEaqptScyVJotk0dlg
 Jo6ELZVBJZPiICguQ7XxIw9p8hhe2NkdhAiZVh24rIeFFQg2Zbm/Q/dX1CKZ6OjutB
 dTHxHLWGqg8zw==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <rDOJFqJ5_60mvkB95ICqMEtzMCZiRL_MP2OjTdtnoRFK417Uo2TETOuNZPiQDaBdhXE1BRojqGsw5FQx3jb3SkxgSPmnucrf3Lj81edDf5Q=@jpoiret.xyz>
In-Reply-To: <87wnmyv1rt.fsf@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <87tui31vc5.fsf@HIDDEN> <87r1d71t0t.fsf_-_@HIDDEN>
 <HIzTzQ5Tl4XyXt9wJGVJF-BSMBwv65YOpVv15hYJ-jfB19p6sa_EkB2uee6jytt14DvAEtQAaVWUC-j6HGpiPr5vn6LMGEQqz4eY1eUJrjk=@jpoiret.xyz>
 <87wnmyv1rt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=1.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 PDS_OTHER_BAD_TLD shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Level: *
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Thursday, September 30th, 2021 at 9:41 AM,
 Mathieu Othacehe
 <othacehe@HIDDEN> wrote: > Now, I also tried to run Sway (by adding it to
 the operating-system > packages list). It is proposed in the GDM selection
 box at login which > is nice, however all I get is a black screen with a
 fro [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.40.22 listed in wl.mailspike.net]
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thursday, September 30th, 2021 at 9:41 AM, Mathieu Othacehe
    <othacehe@HIDDEN> wrote: > Now, I also tried to run Sway (by adding it to
    the operating-system > packages list). It is proposed in the GDM selection
    box at login which > is nice, however all I get is a black screen with a
   fro [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.22 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Thursday, September 30th, 2021 at 9:41 AM, Mathieu Othacehe <othacehe@gn=
u.org> wrote:

> Now, I also tried to run Sway (by adding it to the operating-system
> packages list). It is proposed in the GDM selection box at login which
> is nice, however all I get is a black screen with a frozen mouse
> pointer after that.
> There's a bunch of errors in /var/log/messages and
> /var/log/gdm/greeter.log but I'm not sure if some are relevant here.

After looking around, this is because in the `wip-gnome40-wayland` branch t=
he `sway` package has been upgraded to 1.6, introducing a regression with t=
he bochs-drm driver that is used in qemu by default.
If you start qemu with `-vga virtio`, sway starts as usual.
This was reported upstream at https://github.com/swaywm/sway/issues/6244




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 01 Oct 2021 07:34:01 +0000
Resent-Message-ID: <handler.50563.B50563.163307363418911 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: 50563 <at> debbugs.gnu.org
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163307363418911
          (code B ref 50563); Fri, 01 Oct 2021 07:34:01 +0000
Received: (at 50563) by debbugs.gnu.org; 1 Oct 2021 07:33:54 +0000
Received: from localhost ([127.0.0.1]:54588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWD3K-0004ux-1w
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:33:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mWD3H-0004uh-CM
 for 50563 <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:33:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44496)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mWD3A-0005pO-KN; Fri, 01 Oct 2021 03:33:44 -0400
Received: from 2a01cb000492e90078753f5c96c7583f.ipv6.abo.wanadoo.fr
 ([2a01:cb00:492:e900:7875:3f5c:96c7:583f]:44056 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mWD38-0005cK-VX; Fri, 01 Oct 2021 03:33:44 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <87tui31vc5.fsf@HIDDEN> <87r1d71t0t.fsf_-_@HIDDEN>
 <HIzTzQ5Tl4XyXt9wJGVJF-BSMBwv65YOpVv15hYJ-jfB19p6sa_EkB2uee6jytt14DvAEtQAaVWUC-j6HGpiPr5vn6LMGEQqz4eY1eUJrjk=@jpoiret.xyz>
 <87wnmyv1rt.fsf@HIDDEN>
 <rDOJFqJ5_60mvkB95ICqMEtzMCZiRL_MP2OjTdtnoRFK417Uo2TETOuNZPiQDaBdhXE1BRojqGsw5FQx3jb3SkxgSPmnucrf3Lj81edDf5Q=@jpoiret.xyz>
Date: Fri, 01 Oct 2021 07:33:40 +0000
In-Reply-To: <rDOJFqJ5_60mvkB95ICqMEtzMCZiRL_MP2OjTdtnoRFK417Uo2TETOuNZPiQDaBdhXE1BRojqGsw5FQx3jb3SkxgSPmnucrf3Lj81edDf5Q=@jpoiret.xyz>
 (Josselin Poiret's message of "Thu, 30 Sep 2021 14:27:22 +0000")
Message-ID: <87a6jtqjvv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

> After looking around, this is because in the `wip-gnome40-wayland` branch the
> `sway` package has been upgraded to 1.6, introducing a regression with the
> bochs-drm driver that is used in qemu by default.
> If you start qemu with `-vga virtio`, sway starts as usual.
> This was reported upstream at https://github.com/swaywm/sway/issues/6244

Oh, good catch! Running the following command works flawlessly indeed:

--8<---------------cut here---------------start------------->8---
$(./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl --no-grafts --no-offload -v3 -K) -m 4096 -vga virtio
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 01 Oct 2021 07:38:02 +0000
Resent-Message-ID: <handler.50563.B50563.163307387619278 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163307387619278
          (code B ref 50563); Fri, 01 Oct 2021 07:38:02 +0000
Received: (at 50563) by debbugs.gnu.org; 1 Oct 2021 07:37:56 +0000
Received: from localhost ([127.0.0.1]:54593 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWD7E-00050r-Ht
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:37:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35976)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mWD7C-00050e-Qi
 for 50563 <at> debbugs.gnu.org; Fri, 01 Oct 2021 03:37:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44556)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mWD77-0000q9-8K; Fri, 01 Oct 2021 03:37:49 -0400
Received: from 2a01cb000492e90078753f5c96c7583f.ipv6.abo.wanadoo.fr
 ([2a01:cb00:492:e900:7875:3f5c:96c7:583f]:44060 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mWD76-00008m-V0; Fri, 01 Oct 2021 03:37:49 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
Date: Fri, 01 Oct 2021 07:37:47 +0000
In-Reply-To: <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
 (Josselin Poiret's message of "Mon, 13 Sep 2021 08:15:19 +0000")
Message-ID: <875yuhqjp0.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

> +;; Wrapper script for Wayland sessions, similar to Xsession.
> +;; Used to setup the environment.
> +(define gdm-wayland-session-wrapper
> +  (program-file
> +   "gdm-wayland-session-wrapper"
> +   #~((let* ((user (getpw (getuid)))
> +	    (name (passwd:name user))
> +	    (shell (passwd:shell user))
> +	    (args (cdr (command-line))))
> +        (if (string=? name "gdm")
> +	    (apply execl (cons (car args) args))
> +	    (execl shell shell "--login" "-c" (string-join args)))))))

I'm not sure to get perfectly the role of this wrapper, could you
please clarify it?

It looks like nix is dealing differently with the session starting,
without using a dedicated script:

https://github.com/NixOS/nixpkgs/blob/master/pkgs/desktops/gnome/core/gdm/fix-paths.patch

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 01 Oct 2021 08:57:02 +0000
Resent-Message-ID: <handler.50563.B50563.163307859726943 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Mathieu Othacehe <othacehe@HIDDEN>
Cc: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163307859726943
          (code B ref 50563); Fri, 01 Oct 2021 08:57:02 +0000
Received: (at 50563) by debbugs.gnu.org; 1 Oct 2021 08:56:37 +0000
Received: from localhost ([127.0.0.1]:54649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWELM-00070V-V5
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 04:56:37 -0400
Received: from mail-40133.protonmail.ch ([185.70.40.133]:54604)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mWELI-00070F-Ml
 for 50563 <at> debbugs.gnu.org; Fri, 01 Oct 2021 04:56:35 -0400
Date: Fri, 01 Oct 2021 08:56:21 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1633078582;
 bh=gLJ45awGvvOscsQ1iC0zve476+NOxKE6/IiLqJGMUkw=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=eG3YR0NB/D5HT2W1r0DEXNV9j4dHW01j2p4t8U5rPIWaM4RKyy/EzRnIFYMu7UrmM
 U2GWfriE+wwBQgNquSpWkxhUTjEDPP0FyEsl48aTVtyoJ6W0We74VhAnj7MynaiQw0
 z8dCTWYcLTinicXC+EtFVRG0E++oLgoHhl5T53/G6hRGBFafzGISHyxBpFntxFKHyq
 ItfI3c5fi2PwO894qoVz7B9NxbSXpNJnUoS34Fh+Lf5ttk7TR7OsqiyrPr+fPgu9sw
 leKidaIGu7CTJs/AYY/5/HLAGSMhTwVtYCa/+Y87Rg3gZEJ3lE2OmQnJTFS3K7x3CQ
 L1rUE9TB1iPNA==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <EFDLsErTowu_-9L8iNXNX3bzVoRTnELojRmKLBDBqcmdhL7tkFRzAl3-LwouNx3NZ_25dvE_KphxphCb00bixPmDQcytM1ApbkgCR7R2rPE=@jpoiret.xyz>
In-Reply-To: <875yuhqjp0.fsf_-_@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
 <875yuhqjp0.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=1.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 PDS_OTHER_BAD_TLD shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Level: *
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, On Friday, October 1st, 2021 at 9:37 AM,
 Mathieu Othacehe
 <othacehe@HIDDEN> wrote: > I'm not sure to get perfectly the role of this
 wrapper, could you > please clarify it? Simply put, when display managers
 (on Guix) start an X session,
 they are all configured to use a generic Guix-specific
 wrapper script, a `xinitrc`. This feature predates Guix of course, and is
 support [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.40.133 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello, On Friday, October 1st, 2021 at 9:37 AM, Mathieu Othacehe
    <othacehe@HIDDEN> wrote: > I'm not sure to get perfectly the role of this
    wrapper, could you > please clarify it? Simply put, when display managers
    (on Guix) start an X session, they are all configured to use a generic Guix-specific
    wrapper script, a `xinitrc`. This feature predates Guix of course, and is
    support [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.133 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Hello,

On Friday, October 1st, 2021 at 9:37 AM, Mathieu Othacehe <othacehe@HIDDEN=
> wrote:
> I'm not sure to get perfectly the role of this wrapper, could you
> please clarify it?

Simply put, when display managers (on Guix) start an X session, they are al=
l configured to use a generic Guix-specific wrapper script, a `xinitrc`.
This feature predates Guix of course, and is supported by all display manag=
ers afaik. `xinitrc` is defined in `gnu/services/xorg.scm` and is the gener=
ic Guix wrapper.
Notice that most importantly, it runs the window manager inside a login she=
ll, which thus inherits the right environment variables that are set by def=
ault in `/etc/profile` (unless of course `/etc/profile` isn't sourced by th=
e login shell, but then the user is on his own).

So we would like to do the same with Wayland, however since Wayland composi=
tors are just single programs that need to be launched, most display manage=
rs used to simply start the compositors without doing anything else. This i=
s still the behaviour of GDM, whereas for example SDDM or Slim (at least in=
 Guix) already support wrapping those in some scripts. Here, I just define =
a generic script that launches sessions inside a login shell, akin to the d=
efault `xinitrc`. The check for the `gdm` user is that the GDM graphical di=
splay is launched through... GDM itself, and thus is handled like the other=
 Wayland sessions; but since the `gdm` user doesn't have a login shell, thi=
s wouldn't work.

> It looks like nix is dealing differently with the session starting,
> without using a dedicated script:
> https://github.com/NixOS/nixpkgs/blob/master/pkgs/desktops/gnome/core/gdm=
/fix-paths.patch

From my understanding of https://github.com/NixOS/nixpkgs/issues/109546, th=
ey're still trying to deal with this generic issue (ie. they haven't patche=
d in wrapper support in GDM).
See https://github.com/NixOS/nixpkgs/issues/109542 for an example of a bug =
that stems from it.

Josselin




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Mathieu Othacehe <othacehe@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Fri, 01 Oct 2021 09:17:02 +0000
Resent-Message-ID: <handler.50563.B50563.163307980128858 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Josselin Poiret <dev@HIDDEN>
Cc: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.163307980128858
          (code B ref 50563); Fri, 01 Oct 2021 09:17:02 +0000
Received: (at 50563) by debbugs.gnu.org; 1 Oct 2021 09:16:41 +0000
Received: from localhost ([127.0.0.1]:54665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWEem-0007VO-OQ
	for submit <at> debbugs.gnu.org; Fri, 01 Oct 2021 05:16:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1mWEel-0007VC-1F
 for 50563 <at> debbugs.gnu.org; Fri, 01 Oct 2021 05:16:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60734)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <othacehe@HIDDEN>)
 id 1mWEee-0000zN-AC; Fri, 01 Oct 2021 05:16:33 -0400
Received: from 2a01cb000492e90078753f5c96c7583f.ipv6.abo.wanadoo.fr
 ([2a01:cb00:492:e900:7875:3f5c:96c7:583f]:44064 helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1mWEeU-0000Uk-TM; Fri, 01 Oct 2021 05:16:32 -0400
From: Mathieu Othacehe <othacehe@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
 <875yuhqjp0.fsf_-_@HIDDEN>
 <EFDLsErTowu_-9L8iNXNX3bzVoRTnELojRmKLBDBqcmdhL7tkFRzAl3-LwouNx3NZ_25dvE_KphxphCb00bixPmDQcytM1ApbkgCR7R2rPE=@jpoiret.xyz>
Date: Fri, 01 Oct 2021 09:16:20 +0000
In-Reply-To: <EFDLsErTowu_-9L8iNXNX3bzVoRTnELojRmKLBDBqcmdhL7tkFRzAl3-LwouNx3NZ_25dvE_KphxphCb00bixPmDQcytM1ApbkgCR7R2rPE=@jpoiret.xyz>
 (Josselin Poiret's message of "Fri, 01 Oct 2021 08:56:21 +0000")
Message-ID: <87v92hp0kb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


> the default `xinitrc`. The check for the `gdm` user is that the GDM graphical
> display is launched through... GDM itself, and thus is handled like the other
> Wayland sessions; but since the `gdm` user doesn't have a login shell, this
> wouldn't work.

I see that for explaining! This would deserve a comment I think, could
you please send a v2 for the second patch?

That's unrelated, but what's your take on enabling wayland by default on
GDM, like some other distributions? Just ran a quick search and it looks
like it could be problematic for Nvidia users.

Thanks,

Mathieu




Message sent to guix-patches@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support
Resent-From: Josselin Poiret <dev@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: guix-patches@HIDDEN
Resent-Date: Sat, 02 Oct 2021 16:52:01 +0000
Resent-Message-ID: <handler.50563.B50563.1633193507948 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 50563
X-GNU-PR-Package: guix-patches
X-GNU-PR-Keywords: patch
To: Mathieu Othacehe <othacehe@HIDDEN>
Cc: "50563 <at> debbugs.gnu.org" <50563 <at> debbugs.gnu.org>
Reply-To: Josselin Poiret <dev@HIDDEN>
Received: via spool by 50563-submit <at> debbugs.gnu.org id=B50563.1633193507948
          (code B ref 50563); Sat, 02 Oct 2021 16:52:01 +0000
Received: (at 50563) by debbugs.gnu.org; 2 Oct 2021 16:51:47 +0000
Received: from localhost ([127.0.0.1]:60465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWiEl-0000FD-67
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:51:47 -0400
Received: from mail-4323.protonmail.ch ([185.70.43.23]:63927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dev@HIDDEN>) id 1mWiEi-0000Ew-0Z
 for 50563 <at> debbugs.gnu.org; Sat, 02 Oct 2021 12:51:46 -0400
Date: Sat, 02 Oct 2021 16:51:34 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jpoiret.xyz;
 s=protonmail2; t=1633193497;
 bh=MAOIO24EZN8y+KDnBl+rq1k6XQ5M/2LeaEy3IHlOUTo=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=lOpPMc6W17xBdW/B0VrMLvx+CSSMm8BGbsBtLZf5B1/Voteps5ShprFXlEA5AWaeF
 PjWFrYp8L5xx6Fjzaoihu5HHx28T+ifZ5jeElb+9YtCV9X9Pjt/UQIDczl8zptNfkK
 M8M6NX1wvJeTMX7kiFqRP13jvobd/EzH2IvbwNne1UbA4zoA+WEcOYusaVFkoLz8cq
 uFcOdCU1rj+zTkjLaviPPIuzqWnIHj/mzprUW91zZzh1XdC/yBDE1vkdHZz1Vy02WG
 pUYgtTbft6avmmMeSFEkHgEFDdjQynYVnT6gRvU68egAwy09tvvEKQYqq9Hv4a+2ca
 RqzhVPB08VMJA==
From: Josselin Poiret <dev@HIDDEN>
Message-ID: <dOdQ9VarjnqorXfOtKz_0I8J34K70GFG-GUHkjAFPosZDyqQfRsAFGE8PDDXhTj1X620LZ38aHqIlJJukmmC74BJfXHUGNyklOhRHw2TSMs=@jpoiret.xyz>
In-Reply-To: <87v92hp0kb.fsf@HIDDEN>
References: <KMN7RYYPktrwK2z_REQjG3bPRO8HX3qFBs6gAOCnqILPNK0S-Eepvof4K1nkZEa8BOS3zf2U_FaukNJeZfpxs2bec9lK7ZOxQMENe2pyVEU=@jpoiret.xyz>
 <_O63PhtCI8ZiwBgDZppLf6SqqIgEm3Y0iFYKUIsuLOeAM4yMfbqumjltWSuHKl8tfgUdL0yAC2TVR4nqKvLNJ18Rgs7iImwzPAztAEvIcmM=@jpoiret.xyz>
 <875yuhqjp0.fsf_-_@HIDDEN>
 <EFDLsErTowu_-9L8iNXNX3bzVoRTnELojRmKLBDBqcmdhL7tkFRzAl3-LwouNx3NZ_25dvE_KphxphCb00bixPmDQcytM1ApbkgCR7R2rPE=@jpoiret.xyz>
 <87v92hp0kb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=1.3 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FROM_SUSPICIOUS_NTLD,
 PDS_OTHER_BAD_TLD shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Level: *
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Friday, October 1st, 2021 at 9:16 AM, Mathieu Othacehe
 <othacehe@HIDDEN> wrote: > I see that for explaining! This would deserve
 a comment I think, could > you please send a v2 for the second patch [...]
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [185.70.43.23 listed in wl.mailspike.net]
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Friday, October 1st, 2021 at 9:16 AM, Mathieu Othacehe
   <othacehe@HIDDEN> wrote: > I see that for explaining! This would deserve
   a comment I think, could > you please send a v2 for the second patch [...]
    
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.43.23 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

On Friday, October 1st, 2021 at 9:16 AM, Mathieu Othacehe <othacehe@HIDDEN=
> wrote:
> I see that for explaining! This would deserve a comment I think, could
> you please send a v2 for the second patch?

* gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch: Patch GD=
M to support launching a wrapper script for Wayland sessions.
* gnu/services/xorg.scm (gdm-configuration): Add `wayland-session` in `gdm-=
configuration` to
specify the wrapper to use.
* gnu/services/xorg.scm (gdm-wayland-session-wrapper): Add default wrapper =
that runs non-GDM sessions through a login shell (based
on the `xinitrc`).
* doc/guix.texi: Update the documentation with those changes.
---
 doc/guix.texi                                 |  4 +++
 gnu/packages/gnome.scm                        |  3 +-
 ...gdm-wayland-session-wrapper-from-env.patch | 35 +++++++++++++++++++
 gnu/services/xorg.scm                         | 25 +++++++++++--
 4 files changed, 64 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/gdm-wayland-session-wrapper-from-e=
nv.patch

diff --git a/doc/guix.texi b/doc/guix.texi
index 9e80a2c397..21c1fc04e1 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -18201,6 +18201,10 @@ The GDM package to use.

 @item @code{wayland?} (default: @code{#f})
 When true, enables Wayland in GDM, necessary to use Wayland sessions.
+
+@item @code{wayland-session} (default: @code{gdm-wayland-session-wrapper})
+The Wayland session wrapper to use, needed to setup the
+environment.
 @end table
 @end deftp

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index f155867dfc..ca4d00917d 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -8112,7 +8112,8 @@ library.")
                (base32
                 "1lyqvcwxhwxklbxn4xjswjzr6fhjix6h28mi9ypn34wdm9bzcpg8"))
               (patches (search-patches "gdm-default-session.patch"
-                                       "gdm-remove-hardcoded-xwayland-path=
.patch"))))
+                                       "gdm-remove-hardcoded-xwayland-path=
.patch"
+                                       "gdm-wayland-session-wrapper-from-e=
nv.patch"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:configure-flags
diff --git a/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patc=
h b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
new file mode 100644
index 0000000000..ca1af557ef
--- /dev/null
+++ b/gnu/packages/patches/gdm-wayland-session-wrapper-from-env.patch
@@ -0,0 +1,35 @@
+Get wayland-session wrapper from environment
+
+---
+ daemon/gdm-session.c | 6 ++++--
+ 1 file changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/daemon/gdm-session.c b/daemon/gdm-session.c
+index 4e303e70..1deca4e9 100644
+--- a/daemon/gdm-session.c
++++ b/daemon/gdm-session.c
+@@ -2888,8 +2888,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            allow_remote_c=
onnections? "--allow-remote-connections " : "",
+                                                            command);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            command);
+                         }
+                 } else if (run_xsession_script) {
+@@ -2906,8 +2907,9 @@ gdm_session_start_session (GdmSession *self,
+                                                            register_sessi=
on ? "--register-session " : "",
+                                                            self->selected=
_program);
+                         } else {
+-                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s\"",
++                                program =3D g_strdup_printf (LIBEXECDIR "=
/gdm-wayland-session %s\"%s %s\"",
+                                                            register_sessi=
on ? "--register-session " : "",
++                                                           g_getenv ("GDM=
_WAYLAND_SESSION"),
+                                                            self->selected=
_program);
+                         }
+                 } else {
+--
+2.33.0
+
diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
index fe25168a58..122dd14ae2 100644
--- a/gnu/services/xorg.scm
+++ b/gnu/services/xorg.scm
@@ -869,6 +869,23 @@ the GNOME desktop environment.")
        (apply execl (string-append #$dbus "/bin/dbus-daemon")
               (program-arguments)))))

+;; Wrapper script for Wayland sessions, similar to Xsession. See `xinitrc`=
.
+;; By default, launches the specified session through a login shell.
+;; With default Guix configuration, this should source /etc/profile,
+;; setting up Guix profile environment variables.
+;; However, gdm launches its own graphical session through the same method=
, so
+;; we need to ignore this case, since `gdm` doesn't have a login shell.
+(define gdm-wayland-session-wrapper
+  (program-file
+   "gdm-wayland-session-wrapper"
+   #~((let* ((user (getpw (getuid)))
+=09    (name (passwd:name user))
+=09    (shell (passwd:shell user))
+=09    (args (cdr (command-line))))
+        (if (string=3D? name "gdm")
+=09    (apply execl (cons (car args) args))
+=09    (execl shell shell "--login" "-c" (string-join args)))))))
+
 (define-record-type* <gdm-configuration>
   gdm-configuration make-gdm-configuration
   gdm-configuration?
@@ -884,7 +901,8 @@ the GNOME desktop environment.")
                       (default (xorg-configuration)))
   (x-session gdm-configuration-x-session
              (default (xinitrc)))
-  (wayland? gdm-configuration-wayland? (default #f)))
+  (wayland? gdm-configuration-wayland? (default #f))
+  (wayland-session gdm-configuration-wayland-session (default gdm-wayland-=
session-wrapper)))

 (define (gdm-configuration-file config)
   (mixed-text-file "gdm-custom.conf"
@@ -982,7 +1000,10 @@ the GNOME desktop environment.")
                            ;; Add XCURSOR_PATH so that mutter can find its=
 cursors.
                            ;; gdm doesn't login so doesn't source the corr=
esponding
                            ;; line in /etc/profile
-                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"))))
+                           "XCURSOR_PATH=3D/run/current-system/profile/sha=
re/icons"
+                           (string-append
+                            "GDM_WAYLAND_SESSION=3D"
+                            #$(gdm-configuration-wayland-session config)))=
)))
          (stop #~(make-kill-destructor))
          (respawn? #t))))

--
2.33.0

> That's unrelated, but what's your take on enabling wayland by default on
> GDM, like some other distributions? Just ran a quick search and it looks
> like it could be problematic for Nvidia users.

I'd be mostly in favor of it, as this makes the experience smoother when tr=
ying to use a Wayland compositor "out-of-the-box" (sway and such are gettin=
g quite popular).
For Nvidia users, they mostly are aware of the driver shortcomings (and it =
seems that the incompatibility will soon disappear anyway),
maybe a short heads-up in the documentation would suffice.

Thanks again for the review,
Josselin





Last modified: Sat, 2 Oct 2021 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.